# Uses of Class
com.sun.nio.sctp.Association

Packages that use Association
Package
Description
com.sun.nio.sctp
A Java API for Stream Control Transport Protocol.

## Uses of Association in com.sun.nio.sctp

Methods in com.sun.nio.sctp that return Association
Modifier and Type
Method
Description
`abstract Association`
AssociationChangeNotification.`association()`
Returns the association that this notification is applicable to.
`abstract Association`
MessageInfo.`association()`
Returns the association that the message was received on, if the message has been received, otherwise the association that the message is to be sent on.
`Association`
Notification.`association()`
Returns the association that this notification is applicable to.
`abstract Association`
PeerAddressChangeNotification.`association()`
Returns the association that this notification is applicable to.
`abstract Association`
SctpChannel.`association()`
Returns the association on this channel's socket.
`abstract Association`
SendFailedNotification.`association()`
Returns the association that this notification is applicable to.
`abstract Association`
ShutdownNotification.`association()`
Returns the association that this notification is applicable to.
Methods in com.sun.nio.sctp that return types with arguments of type Association
Modifier and Type
Method
Description
`abstract Set<Association>`
SctpMultiChannel.`associations()`
Returns the open associations on this channel's socket.
Methods in com.sun.nio.sctp with parameters of type Association
Modifier and Type
Method
Description
`abstract SctpChannel`
SctpMultiChannel.`branch(Association association)`
Branches off an association.
`static MessageInfo`
MessageInfo.`createOutgoing(Association association, SocketAddress address, int streamNumber)`
Creates a `MessageInfo` instance suitable for use when sending a message to a given association.
`abstract <T> T`
SctpMultiChannel.`getOption(SctpSocketOption<T> name, Association association)`
Returns the value of a socket option.
`abstract Set<SocketAddress>`
SctpMultiChannel.`getRemoteAddresses(Association association)`
Returns all of the remote addresses to which the given association on this channel's socket is connected.
`abstract <T> SctpMultiChannel`
SctpMultiChannel.`setOption(SctpSocketOption<T> name, T value, Association association)`
Sets the value of a socket option.
`abstract SctpMultiChannel`
SctpMultiChannel.`shutdown(Association association)`
Shutdown an association without closing the channel.